;*****************************************************************************
;* BootCode.asm - This file contains the special code that TweakDisk installs
;*	in the boot sector of a floppy disk. This program displays a custom
;*	message and waits for the user to press a key to restart the system.
;*
;* Build with:
;*	nasm BootCode.asm -fbin -oBootCode.bin
;*
;* Created by William R. Swanson
;* site@swansontec.com
;*
;*	This program is public domain software.
;*

		BITS	16
		ORG	7C3Ch		;7C00h + 40h - 4h
		dd	size - $ - 4h	;Program size. Not written to disk.

		push	cs		;Load message address
		pop	ds
		mov	si, message_buf
show_msg:	lodsb			;Begin message display loop
		cmp	al, 00h
		je	short .done
		mov	bx, 008Bh
		mov	ah, 0eh
		push	si
		int	10h
		pop	si
		jmp	show_msg
.done:		xor	ax, ax		;Wait for a keypress
		int	16h
		int	19h		;BIOS restart
message_buf:	db	0ah, 0dh	;Every message starts with CRLF
size: