/*
 * Main.h - Header file for Tweak Disk program.
 *
 *	Function Prototypes
 *	Constants
 *
 * Copyright 2002 William R. Swanson
 * site@swansontec.com
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *	General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#include <Windows.h>
#include "resource.h"
#include "Error.h"

/******************************************************************************
 * Function Prototypes:
 */

BOOL CALLBACK	MainProc (HWND, UINT, WPARAM, LPARAM);
void		WriteMsg (BOOL beep, char msg[]);
long		SectorRead (char buffer[], long sector, long count, int disk);
long		SectorWrite (char buffer[], long sector, long count, int disk);

/******************************************************************************
 * Constants:
 */

#define MSG_LEN		(0x190)		/*Size of message buffer.*/
#define SECTOR_SIZE	(0x200)		/*Size of a disk sector.*/
#define APP_NAME	"Tweak Disk"	/*Friendly application name*/
#define ERR_TEXT_DISK	"An error occurred while trying to access the disk drive."